commit:     99d772fead7d4195bc1b31ed9a24eb3fd2405cd0
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Fri May 31 15:07:08 2024 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Sat Jun  1 01:41:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99d772fe

gnome-base/gdm: Bump to 46.2

Closes: https://github.com/gentoo/gentoo/pull/34749
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>

 gnome-base/gdm/Manifest        |   1 +
 gnome-base/gdm/gdm-46.2.ebuild | 210 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 211 insertions(+)

diff --git a/gnome-base/gdm/Manifest b/gnome-base/gdm/Manifest
index 86ab48d5ae71..c0cc2cb6e251 100644
--- a/gnome-base/gdm/Manifest
+++ b/gnome-base/gdm/Manifest
@@ -1,2 +1,3 @@
 DIST gdm-45.0.1.tar.xz 855004 BLAKE2B 
1ec7250c49c40a31dbc21d0a141cbe6c2555c43d9a31aa6364b497812de0dab4785f509bf9f8b38febc449ada955a86a22b11986c30d9f9226042e2eb3c485e0
 SHA512 
f0c667dd5df034087e284c2ec1131b55a85cd9e832c15c2aff1637e1e36d4d62a7d86528a2e524bb2782ca7d7cc7cb9c34a9ce9bba688ad222af409e2eb69abe
+DIST gdm-46.2.tar.xz 931868 BLAKE2B 
53b6efb6ae0a60592c6790c4ff676e6bdd7e8096eabb002f3c0d7ad1ba63498cd38799bf0d6606528d05a57b72630ce36bbd1c3e3810bc344df88c445a09c517
 SHA512 
29cb00b42b64313f63cbf33a0caf9ecaf43f38699983017966fba951b867742129ef150cd927d02add5f7c1c20049ba1301e5ee094caa54835dc12cf29c86210
 DIST tango-gentoo-v1.1.tar.gz 29322 BLAKE2B 
83fa2bf37727e60851dd679054fe1b153ebfea58c9a9a40f891f7d68d3b047b02e8effa1d1b4e08d64500a2072ce7200f159c92a352da7124de27e1b05bb6027
 SHA512 
87d47ddab68361db6d99866c51705dcb3e198f8345a1096859acf2c6cca5099dd23c7fb30d124f52c4933ea38fd45fadffbbe6ecbdfa84f5b60938a4824f9045

diff --git a/gnome-base/gdm/gdm-46.2.ebuild b/gnome-base/gdm/gdm-46.2.ebuild
new file mode 100644
index 000000000000..e63e0f030e60
--- /dev/null
+++ b/gnome-base/gdm/gdm-46.2.ebuild
@@ -0,0 +1,210 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop gnome2 meson pam readme.gentoo-r1 systemd udev
+
+DESCRIPTION="GNOME Display Manager for managing graphical display servers and 
user logins"
+HOMEPAGE="https://wiki.gnome.org/Projects/GDM 
https://gitlab.gnome.org/GNOME/gdm";
+
+SRC_URI="${SRC_URI}
+       branding? ( 
https://www.mail-archive.com/[email protected]/msg00043/tango-gentoo-v1.1.tar.gz
 )
+"
+
+LICENSE="
+       GPL-2+
+       branding? ( CC-BY-SA-4.0 )
+"
+
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+IUSE="accessibility audit bluetooth-sound branding elogind fprint plymouth 
selinux systemd tcpd test wayland"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="^^ ( elogind systemd )"
+
+# dconf, dbus and g-s-d are needed at install time for dconf update
+# keyutils is automagic dep that makes autologin unlock login keyring
+# when all the passwords match (disk encryption, user pw and login keyring)
+# dbus-run-session used at runtime
+COMMON_DEPEND="
+       virtual/udev
+       >=dev-libs/libgudev-232:=
+       >=dev-libs/glib-2.68:2
+       >=x11-libs/gtk+-2.91.1:3
+       >=dev-libs/json-glib-1.2.0
+       >=media-libs/libcanberra-0.4[gtk3]
+       >=sys-apps/accountsservice-0.6.35
+       x11-libs/libxcb
+       sys-apps/keyutils:=
+       selinux? ( sys-libs/libselinux )
+
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-base/xorg-server[-minimal]
+       x11-libs/libXdmcp
+       tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+
+       systemd? ( >=sys-apps/systemd-186:0=[pam] )
+       elogind? ( >=sys-auth/elogind-239.3[pam] )
+
+       plymouth? ( sys-boot/plymouth )
+       audit? ( sys-process/audit )
+
+       sys-libs/pam
+       sys-auth/pambase[elogind?,systemd?]
+
+       >=gnome-base/dconf-0.20
+       >=gnome-base/gnome-settings-daemon-3.1.4
+       gnome-base/gsettings-desktop-schemas
+       sys-apps/dbus
+
+       >=x11-misc/xdg-utils-1.0.2-r3
+
+       >=dev-libs/gobject-introspection-0.9.12:=
+"
+# XXX: These deps are from session and desktop files in data/ directory
+# fprintd is used via dbus by gdm-fingerprint-extension
+RDEPEND="${COMMON_DEPEND}
+       acct-group/gdm
+       acct-user/gdm
+       >=gnome-base/gnome-session-3.6
+       >=gnome-base/gnome-shell-3.1.90
+       x11-apps/xhost
+
+       accessibility? (
+               >=app-accessibility/orca-3.10
+               gnome-extra/mousetweaks
+       )
+       fprint? ( sys-auth/fprintd[pam] )
+"
+DEPEND="${COMMON_DEPEND}
+       x11-base/xorg-proto
+"
+BDEPEND="
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       dev-util/itstool
+       >=gnome-base/dconf-0.20
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( >=dev-libs/check-0.9.4 )
+"
+
+DOC_CONTENTS="
+       To start GDM at boot with systemd, run:\n
+       # systemctl enable gdm.service\n
+       \n
+       To start GDM at boot with OpenRC, set DISPLAYMANAGER=\"gdm\"\n
+       in /etc/conf.d/display-manager and enable the display-manager service:\n
+       # rc-update add display-manager\n
+       \n
+       For passwordless login to unlock your keyring, you need to install
+       sys-auth/pambase with USE=gnome-keyring and set an empty password
+       on your keyring. Use app-crypt/seahorse for that.\n
+       \n
+       You may need to install app-crypt/coolkey and sys-auth/pam_pkcs11
+       for smartcard support
+"
+
+src_prepare() {
+       default
+
+       # Show logo when branding is enabled
+       use branding && eapply "${FILESDIR}/${PN}-3.30.3-logo.patch"
+}
+
+src_configure() {
+       # --with-initial-vt=7 conflicts with plymouth, bug #453392
+       # gdm-3.30 now reaps (stops) the login screen when the login VT isn't 
active, which
+       # saves on memory. However this means if we don't start on VT1, gdm 
doesn't start up
+       # before user manually goes to VT7. Thus as-is we can not keep gdm away 
from VT1,
+       # so lets try always having it in VT1 and see if that is an issue for 
people before
+       # hacking up workarounds for the initial start case.
+       local emesonargs=(
+               --localstatedir /var
+
+               -Ddefault-pam-config=exherbo
+               -Dgdm-xsession=true
+               -Dgroup=gdm
+               -Dipv6=true
+               $(meson_feature audit libaudit)
+               -Dlogind-provider=$(usex systemd systemd elogind)
+               -Dpam-mod-dir=$(getpam_mod_dir)
+               $(meson_feature plymouth)
+               -Drun-dir=/run/gdm
+               $(meson_feature selinux)
+               $(meson_use systemd systemd-journal)
+               $(meson_use tcpd tcp-wrappers)
+               -Dudev-dir=$(get_udevdir)/rules.d
+               -Duser=gdm
+               -Duser-display-server=true
+               $(meson_use wayland wayland-support)
+               -Dxdmcp=enabled
+       )
+
+       if use elogind; then
+               emesonargs+=(
+                       -Dinitial-vt=7 # TODO: Revisit together with startDM.sh 
and other xinit talks; also ignores plymouth possibility
+                       -Dsystemdsystemunitdir=no
+                       -Dsystemduserunitdir=no
+               )
+       else
+               emesonargs+=(
+                       -Dinitial-vt=1
+                       -Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+                       -Dsystemduserunitdir="$(systemd_get_userunitdir)"
+               )
+       fi
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       if ! use accessibility ; then
+               rm 
"${ED}"/usr/share/gdm/greeter/autostart/orca-autostart.desktop || die
+       fi
+
+       if ! use bluetooth-sound ; then
+               # Workaround 
https://gitlab.freedesktop.org/pulseaudio/pulseaudio/merge_requests/10
+               # bug #679526
+               insinto /var/lib/gdm/.config/pulse
+               doins "${FILESDIR}"/default.pa
+       fi
+
+       # install XDG_DATA_DIRS gdm changes
+       echo 'XDG_DATA_DIRS="/usr/share/gdm"' > 99xdg-gdm
+       doenvd 99xdg-gdm
+
+       use branding && newicon 
"${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg" gentoo-gdm.svg
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       local d ret
+
+       # bug #669146; gdm may crash if /var/lib/gdm subdirs are not owned by 
gdm:gdm
+       ret=0
+       ebegin "Fixing ${EROOT}/var/lib/gdm ownership"
+       chown --no-dereference gdm:gdm "${EROOT}/var/lib/gdm" || ret=1
+       for d in "${EROOT}/var/lib/gdm/"{.cache,.color,.config,.dbus,.local}; do
+               [[ ! -e "${d}" ]] || chown --no-dereference -R gdm:gdm "${d}" 
|| ret=1
+       done
+       eend ${ret}
+
+       systemd_reenable gdm.service
+       readme.gentoo_print_elog
+
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to